:: CFG 2.41 - INSTALL.BAT
:: Installation batch file for CFG, demonstrating the use of some of the
:: program's commands.  This batch file must be run from the drive and
:: directory you are installing FROM.
::
:: Usage:  Install [d:][\path]
::
  @Echo Off
  Echo Off
  Cls
  If Not Exist CFG.COM GoTo ERR1
  If Not [%1]==[] GoTo 1
  CFG Cecho "Bright Yellow on Blue"What drive and directory do you want to install CFG to?~Example:  C:\DOS\UTIL~
  CFG Input /@CFG1 /2; ASCII 13 10 13 10
  If [%CFG1%]==[] GoTo ERR2
  GoTo 2
:1  CFG1 is the installation drive and directory
  Set CFG1=%1
:2  CFG2 is the installation drive
  CFG DirExist %CFG1%
  If Not ErrorLevel==1 GoTo ERR3
  CFG FileDrive %CFG1% /@CFG2 /2/Q
  Echo Copying CFG files to specified directory...
  Copy CFG.* %CFG1% > Nul
  Copy INSTALL.BAT %CFG1%\CFG.INS > Nul
  Copy README.CFG %CFG1% > Nul
  Echo.
  Echo Files copied.  Please read the README.CFG and CFG.NEW files
  Echo for a list of the most recent changes.  A full list of changes
  Echo is in the CFG.DOC file.
  Echo.
  Echo NOTE:  CFG.DOC and CFG.HLP are both accessed by the Help command and
  Echo must be in the same directory as CFG.COM.
  Echo.
  Echo Thanks for using CFG.  I hope you find it useful.
  %CFG2%
  GoTo END
:ERR1
  Echo CFG Install -- ERROR -- This batch file must be run from the drive and
  Echo                         directory the files are to be installed from.
  Echo.
  Echo                         Example:  Install C:\DOS\UTIL
  GoTo END
:ERR2
  Echo CFG Install -- ERROR -- No installation directory specified.
  GoTo END
:ERR3
  Echo CFG Install -- ERROR -- Specified installation directory does not exist:
  Echo                          %CFG1% 
  Echo.
  Echo                         Example:  Install C:\DOS\UTIL
:END
  Set CFG1=
  Set CFG2=